Namespace UTSModule.Test.Command.DatabaseCommand
    Public Class DatabaseCommandManager
        Public Shared Function CreateExecutor(command As TestCommand) As TestCommandExecutor
            Dim executor As TestCommandExecutor
            Select Case command.Name
                Case "GetRecord"
                    Return New GetRecordCommand(command)
                Case "SetRecord"
                    Return New SetRecordCommand(command)
                Case "CombindRecord"
                    Return New CombindRecordCommand(command)
                Case Else
                    Throw New Exception($"Database集,未知命令 ：{command.Name}")
            End Select
            Return executor
        End Function
    End Class
End Namespace
